using System;
using System.Collections.Generic;
using System.Linq;

// namespaces...
namespace EntityFirst.Module.Web.Controllers
{
    // public classes...
    public class CustomSaveController : DevExpress.ExpressApp.Web.SystemModule.WebModificationsController
    {
        // protected methods...
        protected override void OnActivated()
        {
            base.OnActivated();
        }
        protected override void Save(DevExpress.ExpressApp.Actions.SimpleActionExecuteEventArgs args)
        {
            base.Save(args);
        }
        protected override void SaveAndClose(DevExpress.ExpressApp.Actions.SimpleActionExecuteEventArgs args)
        {
            base.SaveAndClose(args);
        }
        protected override void SaveAndNew(DevExpress.ExpressApp.Actions.SingleChoiceActionExecuteEventArgs args)
        {
            base.SaveAndNew(args);
        }
    }
}
